# Chia Wallet SDK

[![crate](https://img.shields.io/crates/v/chia-wallet-sdk.svg)](https://crates.io/crates/chia-wallet-sdk)
[![documentation](https://docs.rs/chia-wallet-sdk/badge.svg)](https://docs.rs/chia-wallet-sdk)
[![minimum rustc 1.81.0](https://img.shields.io/badge/rustc-1.81.0+-red.svg)](https://rust-lang.github.io/rfcs/2495-min-rust-version.html)
[![codecov](https://codecov.io/github/Rigidity/chia-wallet-sdk/graph/badge.svg?token=M2MPMFGCCA)](https://codecov.io/github/Rigidity/chia-wallet-sdk)

This is a library for building applications that need to interact with coins on the [Chia blockchain](https://chia.net), including wallets and dApps (decentralized apps). However, it is _not_ a prebuilt wallet. If you are looking for that, you can use [Sage Wallet](https://github.com/xch-dev/sage), which is a light wallet built using the Wallet SDK that provides an RPC interface.

## Getting Started

To learn more about developing applications on Chia, I'd recommend [xch.dev](https://xch.dev).

There are also [Rust docs](https://docs.rs/chia-wallet-sdk/latest/chia_wallet_sdk) will get you going with the crate, and assume you are already familiar with Rust and Chia's coin set model.

## Credits

Special thanks to:

- [SumSet Tech, LLC](https://sumset.tech) for sponsoring the initial development of the Wallet SDK
- [Solomons Lot](https://solslot.com) for sponsoring the WASM bindings
- All of the open source contributors who have helped it get this far
